﻿Module Module1
    Dim telefonszám(200) As String
    Dim idők(200, 6) As Integer
    Dim darab As Integer
    Const MobCsúcs As Single = 69.175
    Const MobNemcsúcs As Single = 46.675
    Const VezCsúcs As Single = 30
    Const VezNemCsúcs As Single = 15

    Sub Main()
        adatbeolvasás()
        F1_mobile()
        F2_híváshossz()
        F3_hívásokhossza()
        F4_hívásokszáma()
        F5_hívásidők()
        F6_csúcshívások()
        Console.ReadLine()

    End Sub

    Sub adatbeolvasás()
        Dim cv, cv2 As Integer
        Dim adatfájl As System.IO.FileStream
        Dim olvasó As System.IO.StreamReader
        Dim egysor As String
        Dim egysorvektor() As String

        adatfájl = New System.IO.FileStream("..\..\hivasok.txt", IO.FileMode.Open)
        olvasó = New System.IO.StreamReader(adatfájl)

        cv = 0
        Do While olvasó.Peek > -1
            cv = cv + 1
            egysor = olvasó.ReadLine
            egysorvektor = egysor.Split
            For cv2 = 1 To 6
                idők(cv, cv2) = egysorvektor(cv2 - 1)
            Next

            egysor = olvasó.ReadLine
            telefonszám(cv) = egysor
        Loop
        olvasó.Close()
        adatfájl.Close()

        darab = cv

        Console.WriteLine(darab & " adat volt a fájlban")

    End Sub


    Sub F1_mobile()
        Dim telszám, körzet As String

        Console.Write("Mondj egy telefonszámot=")
        telszám = Console.ReadLine()
        körzet = telszám.Substring(0, 2)

        If körzet = 39 Or körzet = 41 Or körzet = 71 Then
            Console.WriteLine("Mobilszámot adtál meg!")
        Else
            Console.WriteLine("Vezetékes számot adtál meg")
        End If
    End Sub

    Sub F2_híváshossz()
        Dim elejeO, elejeP, elejeM, végeO, végeP, végeM As Integer
        Dim kezdet, vég, híváshosszMPben, híváshosszPben As Integer

        Console.Write("Hívás eleje: óra=")
        elejeO = Console.ReadLine()
        Console.Write("Hívás eleje: perc=")
        elejeP = Console.ReadLine()
        Console.Write("Hívás eleje: másodperc=")
        elejeM = Console.ReadLine()

        Console.Write("Hívás vége: óra=")
        végeO = Console.ReadLine()
        Console.Write("Hívás vége: perc=")
        végeP = Console.ReadLine()
        Console.Write("Hívás vége: másodperc=")
        végeM = Console.ReadLine()
        
        kezdet = elejeO * 3600 + elejeP * 60 + elejeM
        vég = végeO * 3600 + végeP * 60 + végeM

        híváshosszMPben = vég - kezdet
        híváshosszPben = híváshosszMPben \ 60
        If híváshosszMPben Mod 60 > 0 Then híváshosszPben = híváshosszPben + 1

        Console.WriteLine(híváshosszPben & " perc hosszúság volt a hívás.")

    End Sub

    Sub F3_hívásokhossza()
        Dim újfájl As System.IO.FileStream
        Dim író As System.IO.StreamWriter
        Dim cv As Integer
        Dim kezdet, vég, híváshosszMPben, híváshosszPben As Integer
        Dim egybe As String

        újfájl = New System.IO.FileStream("..\..\percek.txt", IO.FileMode.Create)
        író = New System.IO.StreamWriter(újfájl)
        egybe = ""

        For cv = 1 To darab
            kezdet = idők(cv, 1) * 3600 + idők(cv, 2) * 60 + idők(cv, 3)
            vég = idők(cv, 4) * 3600 + idők(cv, 5) * 60 + idők(cv, 6)

            híváshosszMPben = vég - kezdet
            híváshosszPben = híváshosszMPben / 60

            If híváshosszMPben Mod 60 > 0 Then híváshosszPben = híváshosszPben + 1
            egybe = egybe & telefonszám(cv) & "  " & híváshosszPben & vbCrLf
            író.WriteLine(telefonszám(cv) & "  " & híváshosszPben)
        Next

        író.Close()
        újfájl.Close()
    End Sub


    Sub F4_hívásokszáma()
        Dim csúcsdb, nemcsúcsdb, cv As Integer

        csúcsdb = 0
        For cv = 1 To darab
            If idők(cv, 1) > 7 And idők(cv, 1) < 18 Then csúcsdb = csúcsdb + 1
        Next

        nemcsúcsdb = darab - csúcsdb
        Console.WriteLine(csúcsdb & " csúcsidejű és " & nemcsúcsdb & " csúcsidőn kívüli hívás volt.")

    End Sub

    Sub F5_hívásidők()
        Dim kezdet, vég, híváshosszMPben, híváshosszPben As Integer
        Dim cv, vezetékes, mobil As Integer
        Dim körzet As String

        vezetékes = 0
        mobil = 0

        For cv = 1 To darab
            kezdet = idők(cv, 1) * 3600 + idők(cv, 2) * 60 + idők(cv, 3)
            vég = idők(cv, 4) * 3600 + idők(cv, 5) * 60 + idők(cv, 6)

            híváshosszMPben = vég - kezdet
            híváshosszPben = híváshosszMPben \ 60
            If híváshosszMPben Mod 60 > 0 Then híváshosszPben = híváshosszPben + 1

            körzet = telefonszám(cv).Substring(0, 2)
            If körzet = 39 Or körzet = 41 Or körzet = 71 Then
                mobil = mobil + híváshosszPben
            Else
                vezetékes = vezetékes + híváshosszPben
            End If
        Next

        Console.WriteLine(mobil & " perc mobil és " & vezetékes & " perc vezetéskes hivás volt összesen.")

    End Sub

    Sub F6_csúcshívások()
        Dim cv, összdíj As Single
        Dim kezdet, vég, híváshosszMPben, híváshosszPben
        Dim körzet As String

        For cv = 1 To darab
            If idők(cv, 1) > 7 And idők(cv, 1) < 18 Then
                kezdet = idők(cv, 1) * 3600 + idők(cv, 2) * 60 + idők(cv, 3)
                vég = idők(cv, 4) * 3600 + idők(cv, 5) * 60 + idők(cv, 6)

                híváshosszMPben = vég - kezdet
                híváshosszPben = híváshosszMPben \ 60
                If híváshosszMPben Mod 60 > 0 Then híváshosszPben = híváshosszPben + 1

                körzet = telefonszám(cv).Substring(0, 2)
                If körzet = 39 Or körzet = 41 Or körzet = 71 Then
                    összdíj = összdíj + híváshosszPben * 69.175
                Else
                    összdíj = összdíj + híváshosszPben * 30
                End If
            End If
        Next
        Console.WriteLine("A csúcsidejű hívások díja összesen: " & összdíj)

    End Sub

End Module
